GF3, the next version of GF
Aarne Ranta 


Version 1: 20/2/2008

To compile:

  make testgf3

To run:

  testgf3 <options>

Options:

  -src      -- read from source
  -doemit   -- emit gfn files

More options (debugging flags):

  -show_gf         -- show compiled source module after parsing
  -show_extend     -- ... after extension
  -show_rename     -- ... after renaming
  -show_typecheck  -- ... after type checking
  -show_refreshing -- ... after refreshing variables
  -show_optimize   -- ... after partial evaluation
  -show_factorize  -- ... after factoring optimization
  -show_all        -- show all phases

  -1  -- stop after parsing
  -2  -- ... extending
  -3  -- ... renaming
  -4  -- ... type checking
  -5  -- ... refreshing

==Compiler Phases==

LexGF
ParGF
SourceToGF
Extend
Rename
CheckGrammar
Refresh
Optimize
Factorize
GFtoGFCC

